(function($) {
  "use strict";
//------------------------------------------
    //slider
//------------------------------------------
jQuery(document).ready(function() {
  jQuery("#bizwhoop-slider").owlCarousel({
      navigation : true, // Show next and prev buttons
      slideSpeed : 1000,
      pagination : true,
      paginationSpeed : 400,
      singleItem:true,
      video:true,
      autoPlay : true,
      transitionStyle : "fade",
      navigationText: [
      "<i class='fa fa-long-arrow-left'></i>",
      "<i class='fa fa-long-arrow-right'></i>"
      ]
});
/* =================================
===         FORM-CONTROL        ====
=================================== */
jQuery(".form-control")
  .focusout(function() {
    if ($(this).val()=="")
    $(this).removeClass("input-filled");
  })
  .focusin(function() {
    $(this).addClass("input-filled");
}) 
});

/* =================================
===         SCROLL TOP       ====
=================================== */
// jQuery(".ta_upscr").hide(); 
// function taupr() {
// jQuery(window).on('scroll', function() {
//     if ($(this).scrollTop() > 500) {
//         $('.ta_upscr').fadeIn();
//     } else {
//     $('.ta_upscr').fadeOut();
//     }
// });   
// $('a.ta_upscr').on('click', function()  {
//     $('body,html').animate({
//     scrollTop: 0
//     }, 800);
//     return false;
// });
// }    
// taupr();
jQuery(".ta_upscr").hide();   
jQuery(function () {
    jQuery(window).scroll(function () {
        if (jQuery(this).scrollTop() > 500) {
            jQuery('.ta_upscr').fadeIn();
        } else {
            jQuery('.ta_upscr').fadeOut();
        }
    });     
    jQuery('a.ta_upscr').click(function () {
        jQuery('body,html').animate({
            scrollTop: 0
        }, 800);
        return false;
    });
});   

// /* =================================
  // ===        STICKY HEADER        ====
  // =================================== */  

  jQuery(document).ready(function() {
    jQuery(".header-sticky").sticky({ topSpacing: 0 }); 
  });


})(jQuery);